/*
 * Copyright 2013 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.callbackparams.internal.template.annotation;

import java.lang.reflect.AnnotatedElement;
import java.lang.reflect.Member;
import org.callbackparams.annotation.CallbackField;

/**
 * @author Henrik Kaipe
 */
public class CallbackFieldWarning
extends org.callbackparams.internal.template.CallbackFieldWarning {

    protected void possibleDeprecationWarningInternal(Member m) {
        if (((AnnotatedElement)m).isAnnotationPresent(CallbackField.class)) {
            System.err.println(m + CallbackField.DEPRECATION_MESSAGE);
        }
    }
}
